diff -r d8656b9d7293 src/nxt_thread_id.c
--- a/src/nxt_thread_id.c	Mon Jul 16 13:30:11 2018 +0300
+++ b/src/nxt_thread_id.c	Sat Jul 21 17:35:40 2018 +0100
@@ -35,6 +35,18 @@
     return (uint32_t) (*(long *) pthread_self());
 }
 
+#elif (NXT_OPENBSD)
+
+/*
+ * OpenBSD has getthrid syscall since 3.9
+ */
+
+nxt_inline nxt_tid_t
+nxt_thread_get_tid(void)
+{
+    return getthrid();
+}
+
 #elif (NXT_SOLARIS)
 
 /* Solaris pthread_t are numbers starting with 1 */
diff -r d8656b9d7293 src/nxt_thread_id.h
--- a/src/nxt_thread_id.h	Mon Jul 16 13:30:11 2018 +0300
+++ b/src/nxt_thread_id.h	Sat Jul 21 17:35:40 2018 +0100
@@ -16,6 +16,10 @@
 
 typedef uint32_t   nxt_tid_t;
 
+#elif (NXT_OPENBSD)
+
+typedef pid_t      nxt_tid_t;
+
 #elif (NXT_SOLARIS)
 
 typedef pthread_t  nxt_tid_t;
